# pspaudiolib.h File Reference

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | psp_audio_channelinfo

## Defines

#define | PSP_NUM_AUDIO_CHANNELS 4
#define | PSP_NUM_AUDIO_SAMPLES 1024
#define | PSP_VOLUME_MAX 0x8000

## Typedefs

typedef int(* | pspAudioThreadfunc_t )(int args, void *argp)

## Functions

int | pspAudioInit ()
void | pspAudioEndPre ()
void | pspAudioEnd ()
void | pspAudioSetVolume (int channel, int left, int right)
void | pspAudioChannelThreadCallback (int channel, void *buf, unsigned int reqn)
void | pspAudioSetChannelCallback (int channel, void *callback)
int | pspAudioOutBlocking (unsigned int channel, unsigned int vol1, unsigned int vol2, void *buf)

## Define Documentation

#define PSP_NUM_AUDIO_CHANNELS 4

#define PSP_NUM_AUDIO_SAMPLES 1024

#define PSP_VOLUME_MAX 0x8000

## Typedef Documentation

typedef int(* pspAudioThreadfunc_t)(int args, void *argp)

## Function Documentation

void pspAudioChannelThreadCallback | ( | int | channel,
|  | void * | buf,
|  | unsigned int | reqn
| ) |

void pspAudioEnd | ( |  | ) |

void pspAudioEndPre | ( |  | ) |

int pspAudioInit | ( |  | ) |

int pspAudioOutBlocking | ( | unsigned int | channel,
|  | unsigned int | vol1,
|  | unsigned int | vol2,
|  | void * | buf
| ) |

void pspAudioSetChannelCallback | ( | int | channel,
|  | void * | callback
| ) |

void pspAudioSetVolume | ( | int | channel,
|  | int | left,
|  | int | right
| ) |